Index: rtos_arduino/trunk/lib/r2ca_lib.cfg
===================================================================
--- rtos_arduino/trunk/lib/rca_lib.cfg	(revision 249)
+++ rtos_arduino/trunk/lib/r2ca_lib.cfg	(revision 260)
@@ -1,75 +1,72 @@
-#include "rca_lib.h"
+#include "r2ca_lib.h"
 
-ATT_INI({ TA_NULL, 0, rca_init });
-CRE_TSK(RCA_MAINTASK, { TA_ACT, 0, rca_maintask, RCA_MAINTASK_SETUP_PRI, RCA_MAINTASK_STACK_SIZE, NULL });
+ATT_INI({ TA_NULL, 0, r2ca_init });
+CRE_TSK(R2CA_MAINTASK, { TA_ACT, 0, r2ca_maintask, R2CA_MAINTASK_PRI, R2CA_MAINTASK_STACK_SIZE, NULL });
 
-//For Setup
-CRE_SEM(SETUP_SEM, { TA_TPRI, 0, 1 });
+#if R2CA_NUM_TASK > 0
+CRE_TSK(R2CA_TASK1, { TA_ACT, 0, r2ca_task1, R2CA_TASK1_PRI, R2CA_TASK1_STACK_SIZE, NULL });
+#endif /* R2CA_NUM_TASK > 0 */
 
-#if RCA_NUM_TASK > 0
-CRE_TSK(RCA_TASK1, { TA_ACT, 0, rca_task1, RCA_TASK1_SETUP_PRI, RCA_TASK1_STACK_SIZE, NULL });
-#endif /* RCA_NUM_TASK > 0 */
+#if R2CA_NUM_TASK > 1
+CRE_TSK(R2CA_TASK2, { TA_ACT, 0, r2ca_task2, R2CA_TASK2_PRI, R2CA_TASK2_STACK_SIZE, NULL });
+#endif /* R2CA_NUM_TASK > 1 */
 
-#if RCA_NUM_TASK > 1
-CRE_TSK(RCA_TASK2, { TA_ACT, 0, rca_task2, RCA_TASK2_SETUP_PRI, RCA_TASK2_STACK_SIZE, NULL });
-#endif /* RCA_NUM_TASK > 1 */
+#if R2CA_NUM_TASK > 2
+CRE_TSK(R2CA_TASK3, { TA_ACT, 0, r2ca_task3, R2CA_TASK3_PRI, R2CA_TASK3_STACK_SIZE, NULL });
+#endif /* R2CA_NUM_TASK > 2 */
 
-#if RCA_NUM_TASK > 2
-CRE_TSK(RCA_TASK3, { TA_ACT, 0, rca_task3, RCA_TASK3_SETUP_PRI, RCA_TASK3_STACK_SIZE, NULL });
-#endif /* RCA_NUM_TASK > 2 */
+#if R2CA_NUM_TASK > 3
+CRE_TSK(R2CA_TASK4, { TA_ACT, 0, r2ca_task4, R2CA_TASK4_PRI, R2CA_TASK4_STACK_SIZE, NULL });
+#endif /* R2CA_NUM_TASK > 3 */
 
-#if RCA_NUM_TASK > 3
-CRE_TSK(RCA_TASK4, { TA_ACT, 0, rca_task4, RCA_TASK4_SETUP_PRI, RCA_TASK4_STACK_SIZE, NULL });
-#endif /* RCA_NUM_TASK > 3 */
+#if R2CA_NUM_TASK > 4
+CRE_TSK(R2CA_TASK5, { TA_ACT, 0, r2ca_task5, R2CA_TASK5_PRI, R2CA_TASK5_STACK_SIZE, NULL });
+#endif /* R2CA_NUM_TASK > 4 */
 
-#if RCA_NUM_TASK > 4
-CRE_TSK(RCA_TASK5, { TA_ACT, 0, rca_task5, RCA_TASK5_SETUP_PRI, RCA_TASK5_STACK_SIZE, NULL });
-#endif /* RCA_NUM_TASK > 4 */
-
-#ifdef RCA_ENABLE_PROFILING
-CRE_TSK(RCA_IDLE_TASK, { TA_ACT, 0, rca_idle_task, 15, 512, NULL });
-#endif /* RCA_ENABLE_PROFILING */
+#ifdef R2CA_ENABLE_PROFILING
+CRE_TSK(R2CA_IDLE_TASK, { TA_ACT, 0, r2ca_idle_task, 15, 512, NULL });
+#endif /* R2CA_ENABLE_PROFILING */
 
 //For SysTick
-CRE_CYC(RCA_CYCHDR, { TA_STA, 0, rca_CycHandler, 1, 1});
+CRE_CYC(R2CA_CYCHDR, { TA_STA, 0, r2ca_CycHandler, 1, 1});
 
 //For USB (ToDo)Naitiveã«å¤æ´
-DEF_INH((16+7), { TA_NULL, rca_USB_Handler });
+DEF_INH((16+7), { TA_NULL, r2ca_USB_Handler });
 CFG_INT((16+7), { TA_NULL, -1 });
 
 #ifdef TOPPERS_USE_ARDUINO_SERIAL
 //For SERCOM5
-DEF_INH((16+14), { TA_NULL, rca_SERCOM5_Handler });
+DEF_INH((16+14), { TA_NULL, r2ca_SERCOM5_Handler });
 CFG_INT((16+14), { TA_NULL, -1 });
 #endif /* TOPPERS_USE_ARDUINO_SERIAL */
 
 //For SERCOM0(Serial5)
-DEF_INH((16+9), { TA_NULL, rca_SERCOM0_Handler });
+DEF_INH((16+9), { TA_NULL, r2ca_SERCOM0_Handler });
 CFG_INT((16+9), { TA_NULL, -1 });
 
-#ifdef RCA_USE_SERIAL3
+#ifdef R2CA_USE_SERIAL3
 //For SERCOM2(Serial3)
-DEF_INH((16+11), { TA_NULL, rca_SERCOM2_Handler });
+DEF_INH((16+11), { TA_NULL, r2ca_SERCOM2_Handler });
 CFG_INT((16+11), { TA_NULL, -1 });
-#endif /* RCA_USE_SERIAL3 */
+#endif /* R2CA_USE_SERIAL3 */
 
 //For SERCOM3(I2C)
-DEF_INH((16+12), { TA_NULL, rca_SERCOM3_Handler });
+DEF_INH((16+12), { TA_NULL, r2ca_SERCOM3_Handler });
 CFG_INT((16+12), { TA_NULL, -1 });
 
 //For SERCOM4(SPI)
-DEF_INH((16+13), { TA_NULL, rca_SERCOM4_Handler });
+DEF_INH((16+13), { TA_NULL, r2ca_SERCOM4_Handler });
 CFG_INT((16+13), { TA_NULL, -1 });
 
 //For EIC
-DEF_INH((16+4), { TA_NULL, rca_EIC_Handler });
+DEF_INH((16+4), { TA_NULL, r2ca_EIC_Handler });
 CFG_INT((16+4), { TA_NULL, -1 });
 
 //For TC5
-DEF_INH((16+20), { TA_NULL, rca_TC5_Handler });
+DEF_INH((16+20), { TA_NULL, r2ca_TC5_Handler });
 CFG_INT((16+20), { TA_NULL, -1 });
 
 //For RTC
-DEF_INH((16+3), { TA_NULL, rca_RTC_Handler });
+DEF_INH((16+3), { TA_NULL, r2ca_RTC_Handler });
 CFG_INT((16+3), { TA_NULL, -1 });
 
